:root {
    --font-sans: 'Lato', sans-serif;
    --color-neutral-black: #333;
    --color-light-grey: #444;
    --color-neutral-white: #ddd;
    --color-even-white: #bababa;
    --color-bright-red: #8C1B11;
    --color-deep-red: #590808;
}

body {
    font-size: calc(1rem + 0.8vw);
    line-height: 120%;
    font-family: var(--font-sans);
    background-color: #1D1D1D;
    color: var(--color-neutral-white);
}

#bodyofpage {
    margin: 4rem 8rem;
}

section {
    display: none;
}

.showsection {
    display: block;
}

h1,
h2,
h3,
h4 {
    margin-bottom: 0.6rem;
    color: var(--color-neutral-white);
    font-weight: 600;
}

h1 {
    font-size: 1.5em;
}

h2 {
    font-size: 1.2em;
}

h3 {
    font-size: 1em;
}

h4 {
    font-size: 0.8em;
}

p,
a,
li {
    font-size: 0.65em;
}

li {
    list-style: initial;
    margin-left: 1rem;
}

a:link,
a:visited,
a:hover,
a:active {
    color: var(--color-neutral-white);
    text-decoration: none;
    font-weight: bold;
    text-transform: uppercase;
}

nav {
    background-color: var(--color-bright-red);
    padding: 2rem 4rem 1.8rem;
}

header {
    background-color: var(--color-deep-red);
    padding: 0.6rem 8rem 0.05rem;
}

#welcome h3 {
    border-bottom: 3px solid var(--color-neutral-black);
    padding-bottom: 0.8rem;
    margin: 2rem 0;
}

#orderhistory {
    background-color: var(--color-neutral-black);
    padding: 2.2rem 1.2rem 2rem;
}

#orderhistory img {
    width: 20%;
}

#orderhistory>div {
    display: flex;
    align-items: center;
    background-color: var(--color-light-grey);
    padding: 2rem 1.2rem;
    border-bottom: 5px solid var(--color-bright-red);
    margin-bottom: 1rem;
}

#orderhistory>div:last-of-type {
    margin-bottom: 0;
}

#orderhistory div img {
    margin-right: 2rem;
}

#orderhistory p {
    font-size: 0.55em;
    line-height: 160%;
}

.emptyhistory {
    padding: 0;
    font-size: 1.2em;
    color: var(--color-neutral-white);
}

.no-orders {
    display: none;
}

.no-orders.show {
    display: block;
}

#selection div {
    display: flex;
    flex-flow: wrap row;
    gap: 1.2rem;
    margin-top: 2rem;
}

#selection figure{
    flex: 1 1 8rem;
}

figure:not(:hover),
figure:hover,
figure,
figure img:not(:hover),
figure img:hover,
figure img,
figcaption:not(:hover),
figcaption:hover,
figcaption {
    transition: all 0.2s ease-out;
}

figure,
figure:not(:hover),
figure:hover {
    border-bottom: 5px solid var(--color-bright-red);
}

figure,
figure:not(:hover) {
    background-color: #2d2d2d;
    display: flex;
    flex-direction: column;
    padding: 3rem 1.5rem 2rem;
    width: 20%;
}

figure:hover {
    background-color: var(--color-even-white);
    color: var(--color-neutral-black);
}

figure img,
figure img:not(:hover) {
    margin-bottom: 2rem;
    border: 5px solid transparent;
}

figure img:hover {
    border: 5px solid var(--color-bright-red);
}

figure img:hover,
figcaption:hover,
a,
input[type=submit],
#seatselection {
    cursor: pointer;
}

figcaption {
    text-align: center;
}

figcaption,
figcaption:not(:hover) {
    font-size: 0.6em;
    line-height: 140%;
    font-weight: bold;
}

figcaption:hover {
    color: var(--color-bright-red);
}

a,
input[type=submit] {
    background-color: var(--color-bright-red);
    padding: 0.6rem 0.8rem;
    border: none;
    color: var(--color-neutral-white);
    font-weight: bold;
    text-transform: uppercase;
}

#seatselection {
    display: inline-block;
    position: relative;
    font-size: 16px;
    color: var(--color-neutral-white);
    background-color: var(--color-neutral-black);
    padding: 0.6rem;
    width: 10%;
    border: none;
}

footer{
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: rgba(0,0,0,0.75);
}

footer p {
    font-size: 0.5em;
    font-weight: bold;
    text-align: center;
    color: #d8d8d8;
}

@media (max-width: 769px) {
    nav, header {
        text-align: center;
        padding-left: 0;
        padding-right: 0;
    }

    #bodyofpage {
        margin: 4rem 1rem;
    }

    #orderhistory{
        padding: 1.2rem;
    }

    #orderhistory>div {
        padding: 2rem 1.2rem;
    }

    #orderhistory div div, #orderhistory img{
        width: 50%;
    }

  }